:root {
    --bg-color: #53536d;
}

.box1 {
    background-color: rgb(133, 209, 247);
}

.box2 {
    background-color: rgb(133, 247, 209);
}

.box3 {
    background-color: rgb(247, 133, 238);
}

.box4 {
    background-color: rgb(247, 245, 133);
}

body {
    background: var(--bg-color);
    width: 100%;
    color: #fff;
    font-size: 24px;
    font-family: 'Nunito', sans-serif;
    font-weight: 600;
}

h1,
h2,
h3,
h4 {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2.5rem;
    font-weight: 900;
}

h3 {
    font-size: 2rem;
}

#top,
#services {
    position: relative;
    min-height: 85vh;
}

.front-bg {
    position: absolute;
    top: 0;
    right: 0;
    overflow-y: visible;
}

.front-bg img {
    max-width: 620px;
    height: auto;
}

.front-logo-bg {
    position: absolute;
    top: 50%;
    overflow-x: visible;
    right: 0;
    overflow-y: hidden;
}

.front-logo-bg img {
    width: 620px;
}

/* HERO */
header {
    width: 100%;
    height: 100%;
    min-height: 85vh;
    justify-content: space-between;
    align-items: center;
}

.logo {
    text-align: center;
    margin: 17px auto;
}

.flex {
    display: flex;
}

.col {
    flex-direction: column;
}

.hero-text {
    justify-content: flex-end;
    font-weight: 700;
    text-transform: uppercase;
}

.hero-text p {
    text-align: right;
    font-size: 2rem;
}

.intro-text {
    width: 428px;
    text-align: center;
}

.more {
    color: #e9e9e9;
    font-weight: 300;
    text-align: center;
    padding-bottom: 50px;
}

.more p {
    padding-bottom: 10px;
}

/* Rólunk  */

#about {
    margin: 0;
    width: 100%;
    background: url("../img/Depositphotos_10128910_XL.jpg") top center no-repeat fixed;
    background-size: cover;
    height: 90vh;
    z-index: -5;
    position: relative;
}

.logo--left img {
    position: absolute;
    display: block;
    width: 100px;
    height: auto;
    top: 45px;
    left: 45px;
}

.about {
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: space-around;
    align-items: center;
    text-align: center;
    padding-bottom: 60px;
}

.about-text {
    padding-bottom: 40px;
    line-height: 1.5em;
    border-bottom: solid 2px #fff;
}

.projects {
    margin-top: 0;
    padding-top: 0;
}

.box-790 {
    max-width: 790px;
}

.box-470 {
    max-width: 470px;
}

.developers {
    display: flex;
    justify-content: space-between;
}

.developer {
    padding: 10px 40px;
}

.developer>.position {
    margin-top: 15px;
}

/* SERVICES */

#services {
    background-color: #7F7F93;
    text-align: center;
    padding-bottom: 60px;
}

#services h2 {
    margin-top: 25px;
    margin-bottom: 40px;
    padding-bottom: 40px;
    padding-top: 25px;
}

.wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.row-wrap {
    flex-direction: row;
    flex-wrap: wrap;
}

.service {
    width: 33.333%;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 15px auto;
}

.round {
    background-color: #53536d;
    width: 300px;
    height: 300px;
    border-radius: 20px;
    justify-content: space-around;
    align-items: center;
    flex-shrink: 0;
    flex-basis: 300px;
}



.service-img {
    padding-top: 40px;
    padding-bottom: 20px;
}

.service-title {
    font-size: 20px;
    font-weight: 700;
    padding-bottom: 15px;
}

.service-text {
    font-size: 16px;
    font-weight: 300;
    max-width: 250px;
    padding-bottom: 40px;
}

.service-details {
    padding: 40px 0;
}

.details {
    width: 33.333%;
    min-height: 400px;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 30px;
}

.details h3 {
    display: block;
    min-height: 200px;
    padding: 60px 15px 0 15px;
    font-weight: 700;
    text-align: center;
}

.details p.content {
    padding: 0 40px 80px 40px;
    text-align: center;
    font-size: 16px;
    font-weight: 300;
    margin-bottom: 40px;
}

footer {
    width: 100%;
    background-color: #fff;
    color: #53536d;
    justify-content: center;
    align-content: center;
    padding: 15px;
    position: relative;
}

footer h3,
footer p {
    text-align: center;
}

.social {
    align-self: center;
    width: 200px;
    padding-top: 20px;
    padding-bottom: 50px;
}

.facebook,
.insta {
    text-align: center;
    flex: 1;
}

.facebook:hover,
.insta:hover {
    transform: rotate(30deg);
    transition: all 0.3s ease-in-out;
}

/* flip card advanced */

.container,
.flip-box,
.front,
.back {
    width: 100%;
    height: 100%;
}

.container,
.flip_box {
    position: relative;
}

.box--1,
.box--2,
.box--3 {
    background-color: #6F6F86;
    margin: 15px;
    border: 2px solid #fff;
    border-radius: 5px;
    height: 100%;
}

.flip_box {
    /* background-color: #6F6F86;
    margin: 15px;
    border: 2px solid #fff;
    border-radius: 5px; */
    transition: all 0.5s ease-out;
    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    transform-style: preserve-3d;
}

.front,
.back {
    position: absolute;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
}

.container {
    -webkit-perspective: 1200px;
    perspective: 1200px;
}

.front {
    color: #fff;
}

.back {
    color: red;
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.flipped {
    -webkit-transform: rotateY(-180deg);
    -moz-transform: rotateY(-180deg);
    -ms-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
}

/* More arrow CSS */
.r_wrap {
    position: absolute;
    right: 25px;
    bottom: 25px;
}

.b_round,
.s_round {
    position: absolute;
    right: 0px;
    bottom: 0px;
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background-color: #18181f;
    transition: all 0.2s linear;
}

.b_round {
    opacity: 0;
    background-color: #18181f;
}

.b_round_hover {
    transform: scale(1.37);
    opacity: 0.4;
}

.b_round_back_hover {
    background-color: #18181f;
}

.s_round_click {
    transform: scale(1.7);
}

.s_round_back {
    background-color: #252525;
}

.s_arrow {
    width: 52px;
    height: 52px;
    background-image: url('https://img-fotki.yandex.ru/get/194549/29644339.5/0_d6c60_1d7815f0_orig');
    background-color: transparent;
    transition: all 0.35s linear;
}

.s_arrow_rotate {
    transform: rotate(-180deg);
}

@media only screen and (max-width: 481px) {
    h2 {
        font-size: 2rem;
    }

    .front-bg img {
        max-width: 220px;
    }

    .front-logo-bg {
        top: 80%;
    }

    .front-logo-bg img {
        width: 240px;
    }

    .service {
        width: 80%;
    }

    header h1 {
        font-size: 1.8rem;
        padding: 0 40px;
    }

    .intro-text {
        font-size: 1.2rem;
        padding: 0 60px;
    }

    .logo--left img {
        width: 70px;
        top: 33px;
        left: 20px;
    }

    .hero-text p {
        padding: 0 40px;
        font-size: 1.2rem;
    }

    .about .box-470 h3 {
        padding: 0 40px;
    }

    .about-text {
        font-size: 1rem;
        padding: 0 40px 20px 40px;
    }

    .developer h3 {
        font-size: 1.5rem;
    }

    .developer .position {
        font-size: 1rem;
    }

    .service-details {
        flex-wrap: wrap;
    }

    .details {
        width: 100%;
        min-height: 40vh;
        padding: 10px 20px;
        justify-content: flex-start;
    }

    .details h3 {
        padding: 30px 15px 20px 15px;
        min-height: auto;
        font-weight: 500;
        font-size: 2rem;
    }

    .details p.content {
        padding: 0 10px;
        text-align: center;
        font-size: 16px;
        font-weight: 300;
        margin-bottom: 40px;
    }

    footer .logo--left img {
        width: 70px;
        top: 35%;
        left: 20px;
    }
}

@media only screen and (min-width: 482px) and (max-width: 614px) {
    .front-bg img {
        max-width: 240px;
    }

    .front-logo-bg {
        top: 80%;
    }

    .front-logo-bg img {
        width: 240px;
    }

    .service {
        width: 80%;
    }

    header h1 {
        font-size: 2.5rem;
        padding: 0 40px;
    }

    .hero-text p {
        padding: 0 40px;
    }

    .about-text {
        font-size: 1rem;
        padding: 0 40px 20px 40px;
    }

    .developer h3 {
        font-size: 1.5rem;
    }

    .developer .position {
        font-size: 1rem;
    }

    .service-details {
        flex-wrap: wrap;
    }

    .details {
        width: 100%;
        min-height: 40vh;
        height: auto;
        padding: 10px 40px;
    }
}

@media only screen and (min-width: 615px) and (max-width: 905px) {
    .front-bg img {
        max-width: 310px;
    }

    .front-logo-bg {
        top: 80%;
    }

    .front-logo-bg img {
        width: 310px;
    }

    .service {
        width: 50%;
    }

    header h1 {
        font-size: 2.5rem;
        padding: 0 40px;
    }

    .hero-text p {
        padding: 0 40px;
    }

    .about-text {
        font-size: 1rem;
        padding: 0 40px 20px 40px;
    }

    .developer h3 {
        font-size: 1.5rem;
    }

    .developer .position {
        font-size: 1rem;
    }

    .service-details {
        flex-wrap: wrap;
    }

    .details {
        width: 100%;
        min-height: 40vh;
        height: auto;
        padding: 10px 40px;
    }
}